#!/bin/sh

. ./_blfsset.sh

APPNAME=fpc
VER=2.6.0
TARGET=$APPNAME-$VER
TARGETBALL=$TARGET.source.tar.gz
TARGETDIR=$TARGET

echo $TARGET

echo -n Tarball $TARGETBALL" "
if [ -e $DLD/$TARGETBALL ]; then
  echo  found
else
  echo  not found && exit 1
fi

if test "$1" == "check"; then
  exit 0
fi

cd $SRC

echo Removing old directory...
rm -fr $TARGETDIR

. $WRK/_extract.sh

START=`date +'%Y/%m/%d %H:%M:%S.%N'`

cd $TARGETDIR

echo Making...
make INSTALL_PREFIX=/usr \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

echo Installing...
paco -p $TARGET "make install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

END=`date +'%Y/%m/%d %H:%M:%S.%N'`

echo `cat /etc/lfs-release`,$TARGET,$START,$END \
        >> $TME/$APPNAME.txt

echo -n Pacoing:\   && paco $TARGET || echo none

